@import "../abstract-deposit-file-upload/abstract-deposit-file-upload.dialog";

:host {
  .checksum-generated-indicator {
    display: grid;
    grid-template-columns: max-content max-content;
    grid-gap: 8px;
    align-items: center;

    .calculating {
      animation: blink-animation 1.5s infinite;
      background-color: $extra-light-grey;
      border-radius: 5px;
      padding: 0 5px;
      text-transform: uppercase;
    }

    .warning {
      color: $warning;
    }

    .valid {
      color: $success;
    }
  }

  .file-upload-title-wrapper {
    display: grid;
    grid-template-columns: 1fr max-content;
  }

  .expansion-panel {
    &.in-error {
      border-left: 2px solid $error;
    }

    .checksum-header-wrapper {
      display: grid;
      grid-template-columns: max-content max-content;
      justify-content: space-between;
      align-items: center;
      margin: 10px 0;

      .provide-checksums {
      }
    }

    .user-checksums {
      > * {
        width: 100%;
      }
    }
  }
}

@keyframes blink-animation {
  from {
    opacity: 1;
  }
  50% {
    opacity: 0.5;
  }
  to {
    opacity: 1;
  }
}

@include isInDarkMode {
  .checksum-generated-indicator {
    .calculating {
      background-color: $dark-mode-toolbar;
    }
  }
}
